GNU Radio's TEST Package

Classes | Functions | Variables
xtrx_source_c.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/sync_block.h>`
`#include "source_iface.h"`
`#include "xtrx_obj.h"`

Go to the source code of this file.

## Classes
class | xtrx_source_c

## Functions
xtrx_source_c_sptr | make_xtrx_source_c (const std::string &args="")

## Variables
static const pmt::pmt_t | TIME_KEY = pmt::string_to_symbol("rx_time")
static const pmt::pmt_t | RATE_KEY = pmt::string_to_symbol("rx_rate")
static const pmt::pmt_t | FREQ_KEY = pmt::string_to_symbol("rx_freq")

## Function Documentation

## ◆ make_xtrx_source_c()

xtrx_source_c_sptr make_xtrx_source_c | ( | const std::string & | args = `""` | ) |

## Variable Documentation

## ◆ FREQ_KEY

const pmt::pmt_t FREQ_KEY = pmt::string_to_symbol("rx_freq")
| static

## ◆ RATE_KEY

const pmt::pmt_t RATE_KEY = pmt::string_to_symbol("rx_rate")
| static

## ◆ TIME_KEY

const pmt::pmt_t TIME_KEY = pmt::string_to_symbol("rx_time")
| static